| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# parameter

$Revision: 1.4 $

$Date: 2002/06/12 11:18:20 $

parameter — A value or a symbolic reference to a value

## Synopsis

### Mixed Content Model

    parameter ::=
    (#PCDATA|link|olink|ulink|action|application|classname|methodname|
     interfacename|exceptionname|ooclass|oointerface|ooexception|
     command|computeroutput|database|email|envar|errorcode|errorname|
     errortype|errortext|filename|function|guibutton|guiicon|guilabel|
     guimenu|guimenuitem|guisubmenu|hardware|interface|keycap|keycode|
     keycombo|keysym|literal|constant|markup|medialabel|menuchoice|
     mousebutton|option|optional|parameter|prompt|property|
     replaceable|returnvalue|sgmltag|structfield|structname|symbol|
     systemitem|token|type|userinput|varname|nonterminal|anchor|
     remark|subscript|superscript|inlinegraphic|inlinemediaobject|
     indexterm|beginpage)*

### Attributes

Common attributes

Name | Type | Default
moreinfo |
Enumeration:
none
refentry
| "none"
class |
Enumeration:
command
function
option
| None

## Description

A `Parameter` identifies something passed from one part of a computer system to another. In this regard `Parameter` is fairly generic, but it may have a more constrained semantic in some contexts (for example in a `ParamDef`).

In a document that describes more than one kind of parameter, for example, parameters to functions and commands, the `Class` attribute can be used to distinguish between them, if necessary.

### Processing expectations

Formatted inline. The `MoreInfo` attribute can help generate a link or query to retrieve additional information.

### Future Changes

In DocBook V4.0, the content model of `Parameter` will be constrained to `(#PCDATA | Replaceable | InlineGraphic)`.

### Parents

These elements contain parameter: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `methodparam`, `msgaud`, `olink`, `option`, `optional`, `para`, `paramdef`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in parameter: `action`, `anchor`, `application`, `beginpage`, `classname`, `command`, `computeroutput`, `constant`, `database`, `email`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `filename`, `function`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `interface`, `interfacename`, `keycap`, `keycode`, `keycombo`, `keysym`, `link`, `literal`, `markup`, `medialabel`, `menuchoice`, `methodname`, `mousebutton`, `nonterminal`, `olink`, `ooclass`, `ooexception`, `oointerface`, `option`, `optional`, `parameter`, `prompt`, `property`, `remark`, `replaceable`, `returnvalue`, `sgmltag`, `structfield`, `structname`, `subscript`, `superscript`, `symbol`, `systemitem`, `token`, `type`, `ulink`, `userinput`, `varname`.

## Attributes

class

  `Class` indicates the type of `Parameter`.

moreinfo

  If `MoreInfo` is set to `RefEntry`, it implies that a `RefEntry` exists which further describes the `Parameter`.

## See Also

`computeroutput`, `constant`, `funcdef`, `funcparams`, `funcprototype`, `funcsynopsisinfo`, `function`, `literal`, `markup`, `option`, `optional`, `paramdef`, `prompt`, `replaceable`, `returnvalue`, `sgmltag`, `userinput`, `varargs`, `varname`, `void`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    Using the <parameter class='command'>/w</parameter> parameter on the
    DOS <command>dir</command> command prints a wide directory listing.
    </para>

Using the `/w` parameter on the DOS dir command prints a wide directory listing.

For additional examples, see also `funcparams`, `funcsynopsis`, `paramdef`, `refentry`.

paramdef |  | part

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.